package com.seeyon.apps.ydctu8c.constants;

public enum U8cConstants {


    plugin("ydctu8c","插件ID"),
    u8cUrl("http://ip:port", "U8C地址"),
    u8cSystem("OA01", "u8cSystem"),
    u8cUsercode("oa01", "u8cUsercode"),
    u8cPassword("6037acc6da44686e344385233e8208b7", "u8cPassword"),
    u8cContentType("application/json", "u8cContentType"),
    u8cConnection("Keep-Alive", "u8cConnection");

    U8cConstants(String defaultValue, String description) {
        this.defaultValue = defaultValue;
        this.description = description;
    }

    private String defaultValue;
    private String description;

    public String getDefaultValue() {
        return defaultValue;
    }

    public String getDescription() {
        return description;
    }

    public static String getPluginId() {
        return plugin.defaultValue;
    }

}
